Debian Bug report logs - #659226
OpenJPEG 1.5 is released !

version graph

Package: openjpeg; Maintainer for openjpeg is Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>;

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Thu, 9 Feb 2012 10:42:01 UTC

Severity: normal

Merged with 667708

Found in version openjpeg/1.3+dfsg-4

Fixed in version openjpeg/1.5.0-1

Done: Mathieu Malaterre <malat@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#659226; Package openjpeg. (Thu, 09 Feb 2012 10:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Thu, 09 Feb 2012 10:42:44 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: OpenJPEG 1.5 is released !
Date: Thu, 9 Feb 2012 11:38:32 +0100
Package: openjpeg
Severity: normal

It would be nice to package openjpeg 1.5. This is needed to get
poppler to properly display JPEG 2000 streams.

Thanks

---------- Forwarded message ----------


Dear openjpeg users,

I'm very happy to announce that OpenJPEG 1.5 is out !

It has been a year since the release of OpenJPEG 1.4 and it was more
than needed to release a new version. A lot of things has changed
(automatic testing, cleaner build methods, code optimizations, JPIP
implementation), most of them are indicated here :

http://openjpeg.googlecode.com/svn/branches/openjpeg-1.5/NEWS

Sources and binaries are available from the download page :

http://code.google.com/p/openjpeg/downloads/list

MacOSX binaries are still missing but they will be uploaded asap.
Please let us know if you encounter problems with one of these files.

Many thanks to all contributors for their time, advices and patience.
Many thanks also to our main partners (intopix and UCL/TELE) for their support.

The next step for the project is the V2 release, it's already on track
and hopefully it will not last one year before this next release. More
info about the roadmap here :

http://code.google.com/p/openjpeg/wiki/Roadmap

I hope you will enjoy this new version, please continue to support
this project with your contributions and advices. And spread the word
about this new version to people interested.

Cheers,

Antonin


-- 
Antonin Descampe
www.openjpeg.org

--
You are subscribed to the mailing-list of the OpenJPEG project
(www.openjpeg.org)
To post: email to openjpeg@googlegroups.com
To unsubscribe: email to openjpeg+unsubscribe@googlegroups.com
For more options: visit http://groups.google.com/group/openjpeg
For more info about OpenJPEG main partners : visit www.tele.ucl.ac.be
(UCL) and www.intopix.com


-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#659226; Package openjpeg. (Mon, 05 Mar 2012 17:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Paolo Lovergine <frankie@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Mon, 05 Mar 2012 17:06:05 GMT) Full text and rfc822 format available.

Message #10 received at 659226@bugs.debian.org (full text, mbox):

From: Francesco Paolo Lovergine <frankie@debian.org>
To: Debian Bug Tracking System <659226@bugs.debian.org>
Subject: Re: OpenJPEG 1.5 is released !
Date: Mon, 05 Mar 2012 18:02:52 +0100
Package: libopenjpeg2
Version: 1.3+dfsg-4
Followup-For: Bug #659226

Note that GDAL also requires at least 1.4 to support OpenJPEG with its driver.
Please upgrade ASAP.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-1-686-pae (SMP w/1 CPU core)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libopenjpeg2 depends on:
ii  libc6  2.13-27

libopenjpeg2 recommends no packages.

libopenjpeg2 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>:
Bug#659226; Package openjpeg. (Sat, 10 Mar 2012 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yauhen Kharuzhy <jekhor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>. (Sat, 10 Mar 2012 15:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 659226@bugs.debian.org (full text, mbox):

From: Yauhen Kharuzhy <jekhor@gmail.com>
To: 659226@bugs.debian.org
Subject: New version of OpenJPEG debian package
Date: Sat, 10 Mar 2012 18:18:00 +0300
Hello.

I have new 1.5 version of openjpeg packaged for debian:
https://github.com/jekhor/openjpeg-debian


-- 
Yauhen Kharuzhy		JID: jek@jabber.ru
			skype: jekhor
 
A: No
Q: Should I quote below my post?




Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:54:29 GMT) Full text and rfc822 format available.

Merged 659226 667708 Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 08:03:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 16 Apr 2012 20:06:04 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Tue, 17 Apr 2012 17:36:11 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Tue, 17 Apr 2012 17:36:11 GMT) Full text and rfc822 format available.

Message #26 received at 659226-close@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 659226-close@bugs.debian.org
Subject: Bug#659226: fixed in openjpeg 1.5.0-1
Date: Tue, 17 Apr 2012 17:33:30 +0000
Source: openjpeg
Source-Version: 1.5.0-1

We believe that the bug you reported is fixed in the latest version of
openjpeg, which is due to be installed in the Debian FTP archive:

libopenjpeg-dev_1.5.0-1_amd64.deb
  to main/o/openjpeg/libopenjpeg-dev_1.5.0-1_amd64.deb
libopenjpeg5-dbg_1.5.0-1_amd64.deb
  to main/o/openjpeg/libopenjpeg5-dbg_1.5.0-1_amd64.deb
libopenjpeg5_1.5.0-1_amd64.deb
  to main/o/openjpeg/libopenjpeg5_1.5.0-1_amd64.deb
openjpeg-tools_1.5.0-1_amd64.deb
  to main/o/openjpeg/openjpeg-tools_1.5.0-1_amd64.deb
openjpeg_1.5.0-1.debian.tar.gz
  to main/o/openjpeg/openjpeg_1.5.0-1.debian.tar.gz
openjpeg_1.5.0-1.dsc
  to main/o/openjpeg/openjpeg_1.5.0-1.dsc
openjpeg_1.5.0.orig.tar.gz
  to main/o/openjpeg/openjpeg_1.5.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659226@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Malaterre <malat@debian.org> (supplier of updated openjpeg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 16 Apr 2012 16:01:13 +0200
Source: openjpeg
Binary: libopenjpeg-dev libopenjpeg5 libopenjpeg5-dbg openjpeg-tools
Architecture: source amd64
Version: 1.5.0-1
Distribution: experimental
Urgency: low
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Changed-By: Mathieu Malaterre <malat@debian.org>
Description: 
 libopenjpeg-dev - development files for OpenJPEG, a JPEG 2000 image library
 libopenjpeg5 - JPEG 2000 image compression/decompression library
 libopenjpeg5-dbg - debug symbols for libopenjpeg5, a JPEG 2000 image library
 openjpeg-tools - command-line tools using the JPEG 2000 library
Closes: 541807 659226 663045
Changes: 
 openjpeg (1.5.0-1) experimental; urgency=low
 .
   [ Robin Cornelius ]
   * Include motion j2k codec in build
     - Implement man pages for the mj2 tools
     - Use clean target of mj2/Makefile when running the debian/rules clean
       target
     - Update build patch, to set gcc options for mj2 Makefile based on the
       settings in debian/rules
   * Add ${misc:Depends} to binary packages
   * Place -dbg package in section debug
 .
   [ David Paleino ]
   * New upstream version (Closes: #659226)
     - fix alpha channel encode by preventing an overrun in the static MCT
       tables when processing more than 3 color components. (Closes: #541807)
   * Package moved to "3.0 (quilt)" source format
   * Patches converted from dpatch to quilt-format
   * Dropped unapplicable patches with the new sources
   * Updated debian/copyright (missing bits and DEP-5)
   * Added README.source explaining the reason for repacking the tarball
   * Removed obsolete README.Debian
   * Bumped Standards-Version to 3.9.3
   * Dropped debian/image_to_j2k.pod and j2k_to_image.pod, upstream has
     proper manpages now
   * Updated Build-Dependencies and various small things in d/control
 .
   [ Mathieu Malaterre ]
   * Add myself to uploaders
   * Switch to cmake buildsystem
   * Update orig-tar.sh to remove thirdparty/* files
   * Bump SONAME to 5 as per upstream recommendation
   * Install JPWL libraries (update *.symbols file)
   * Import two patches from upstream svn:
    - Add explicit link to math lib (-lm)
    - Fix SONAME handling in 1.5.0 (import from 1.5 branch)
   * Switch to dh(9), make multi-arch. Closes: #663045
Checksums-Sha1: 
 0334bcfa432a357417f30cf7a925bcdc498a2da7 2313 openjpeg_1.5.0-1.dsc
 1378b4b8eb31af7f17e470391d64fd2bdb1a2259 1348870 openjpeg_1.5.0.orig.tar.gz
 d4f3a61a37f9bc0b557afc1f5c40f53eedf71fe4 16946 openjpeg_1.5.0-1.debian.tar.gz
 2f3ef506fb37d475124a00acdc95536950550467 35804 libopenjpeg-dev_1.5.0-1_amd64.deb
 5708de3accba1c8a8b877e8da2180546a30984ed 185074 libopenjpeg5_1.5.0-1_amd64.deb
 fbd51103b67a39b21048ba8004b990bdfda0de2a 1461014 libopenjpeg5-dbg_1.5.0-1_amd64.deb
 2e46d1f0698b86feefb1fd686ff9073932beadf9 695290 openjpeg-tools_1.5.0-1_amd64.deb
Checksums-Sha256: 
 1eac2a1435e0226c90f097197ba92c9ba71c5d22da5d65118ea975dc16f4b79c 2313 openjpeg_1.5.0-1.dsc
 a6fe141f25c8240ee9c5e2d27043af3d0b59a667a85d519291ee2bb0c27af807 1348870 openjpeg_1.5.0.orig.tar.gz
 6ee06acf98ac04700301ba0db8a55f9fa5da74922f2fa7ab06e66c0c43e50283 16946 openjpeg_1.5.0-1.debian.tar.gz
 f253dc37011491bcd74422c17e54b931f317b6f35964540c869710f3978bef1b 35804 libopenjpeg-dev_1.5.0-1_amd64.deb
 290a2c5ad06fcaf10aa8ef55510f7580804d712b419b1ec07cf613d0ece000ce 185074 libopenjpeg5_1.5.0-1_amd64.deb
 cbf6c7ada60433d16d9fe2e27296059418d38f2e4c78ca78b17dc6835c0db306 1461014 libopenjpeg5-dbg_1.5.0-1_amd64.deb
 0dae8d5d5b8283c263822d6c76db87c4ff92960d1a41c6dcdfa9786df1929af7 695290 openjpeg-tools_1.5.0-1_amd64.deb
Files: 
 32868708e2d1e811561c40d789e13314 2313 libs extra openjpeg_1.5.0-1.dsc
 e5b7f6a169ba0d7f6880bcc06b6ef9bc 1348870 libs extra openjpeg_1.5.0.orig.tar.gz
 9e811719f0bacbfd375276d7d4203582 16946 libs extra openjpeg_1.5.0-1.debian.tar.gz
 7f7ca8f1f5167a78fae66edc54c6a930 35804 libdevel extra libopenjpeg-dev_1.5.0-1_amd64.deb
 7e59fa1e6ea52cb0d96cff26e59d5980 185074 libs extra libopenjpeg5_1.5.0-1_amd64.deb
 98e911ac91c3c413ef5f353eb95fb481 1461014 debug extra libopenjpeg5-dbg_1.5.0-1_amd64.deb
 bb79048ebd6e727950ad3fa3c48e0ff8 695290 graphics extra openjpeg-tools_1.5.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPjC8IAAoJEAFx4YKK4JNFtjcQAIsfLHCz0sBgDplqJwFa7227
WdjV4GkeuTuLuHjnR3+kFQRiwCC2UPItoJ7u/q3bCtiK5ZgbrvwMsGq29N5ESleK
nu5/CvebiMEfhMNuA3dBYARZfIdpaZnaWyI4P2/03MW1tnRXUUdujHcy3BHm3XGi
U0Qwjv88IcZtR9K8zZ9lbwQY9hZVKHAwJZ5/UZ35ZL/1DWHARH76+LhHVW0jECZX
CTeClpcaf80P0RGQTyOnXxAJg5Al7E9BZ67gUs/3ftAZezeRGGFSc7KbudCAs1mA
24zYSEKoXunbCJgfns5zHVrtZz8dPdbVrQH8vmeu4Uw/NQ548Rkcg1LasVIicvFx
k85x5I4gqBRtAYFBI3Pm7UgVjn/uAhApW1yChjDY4bLhfwYaiP6+1si8wwHjZ2A7
sUmQAvzEda++fL+H0IBqajd0s4jsWw8KXnEqTE24K3odA5nwFqzAPTjRyCDuBN9J
8lsJFIa187x3qr8N97IDWDgGEcJEV8krhNKIUNIJ8PXd3ceivJTW2v2EybcRM53k
1rqJgm4kuFQ21dG667Gcve6VmC7JUE9xL9HLJDnn0A5IhXk1MZFm6BrapmkcnryK
RJrX65RFkyAqHaBc22rhIgN48H+zjEgz79Gp3j3FMQDVOimeWxDlolSEnWe3hvpX
sjLjIYrpf1UJ5pMMu2jQ
=cf7Y
-----END PGP SIGNATURE-----





Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Tue, 17 Apr 2012 17:36:12 GMT) Full text and rfc822 format available.

Notification sent to Ian Zimmerman <itz@buug.org>:
Bug acknowledged by developer. (Tue, 17 Apr 2012 17:36:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:19:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.